#include <stdio.h>
#include <stdlib.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char *argv[]) {
	long long n,p,h,t=-1,i;
	scanf("%lld %lld",&n,&p);
	for(i=0;i<n;i++)
	{
		scanf("%d",&h);
		if(t==-1 && p>=h)
			t=i+1;
	}
	printf("%lld",t);
	return 0;
}